package com.example.module.admin.req;

import com.example.frame.base.BaseRequest;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.NotEmpty;
import org.hibernate.validator.constraints.Length;

/**
 * MappingCreateRequest - 映射新增
 *
 * @author author
 * @version 0.0.1
 * @since 2019-09-28
 */
public class MappingCreateRequest extends BaseRequest {

    /**
     * 用户名
     */
    @Length(min = 0, max = 100, message = "用户名长度不合法(0-100)")
    private String username;

    /**
     * 用户密码
     */
    @Length(min = 0, max = 100, message = "用户密码长度不合法(0-100)")
    private String password;

    public String getUsername() {
        return this.username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return this.password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
